summaryrefslogtreecommitdiffstats
path: root/scripts/mvn-phase-lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/mvn-phase-lib.sh')
-rw-r--r--scripts/mvn-phase-lib.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/scripts/mvn-phase-lib.sh b/scripts/mvn-phase-lib.sh
index 6cef83e..ac755e0 100644
--- a/scripts/mvn-phase-lib.sh
+++ b/scripts/mvn-phase-lib.sh
@@ -52,10 +52,7 @@ if [ -z "$WORKSPACE" ]; then
WORKSPACE=$(pwd)
fi
-if [ -z "$SETTINGS_FILE" ]; then
- echo "SETTINGS_FILE environment variable not set. Cannot proceed"
- exit
-fi
+export SETTINGS_FILE=${SETTINGS_FILE:-$HOME/.m2/settings.xml}
@@ -214,7 +211,7 @@ test_templates()
run_tox_test()
{
- set -x
+ set -e -x
CURDIR=$(pwd)
TOXINIS=$(find . -name "tox.ini")
for TOXINI in "${TOXINIS[@]}"; do